Summary:	A network traffic monitoring tool
Name:		tcpdump
Epoch:		2
Version:	4.99.5
Release:	%mkrel 2
Group:	 	Monitoring
License:	BSD
URL:		https://www.tcpdump.org/
Source0:	https://www.tcpdump.org/release/%{name}-%{version}.tar.gz
Patch0:		tcpdump-CVE-2018-19519.patch
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libsmi)

%description
Tcpdump is a command-line tool for monitoring network traffic.  Tcpdump can
capture and display the packet headers on a particular network interface or on
all interfaces.  Tcpdump can display all of the packet headers, or just the
ones that match particular criteria.

Install tcpdump if you need a program to monitor network traffic.

%prep
%autosetup -p1

%build
autoreconf
%serverbuild
export CFLAGS="%{optflags} -I. -DIP_MAX_MEMBERSHIPS=20"
%configure \
    --enable-ipv6

%make_build

%install
%make_install
# (misc) remove the binary, has this only pollutes completion
# and take useless space in the rpm
rm -f %{buildroot}%{_bindir}/%{name}.%{version}

%files
%doc README.md CHANGES CREDITS
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/tcpdump.1*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2:4.99.5-2.mga10
+ Revision: 2228361
- Mageia 10 Mass Rebuild

* Sat Sep 28 2024 mrambo3501 <mrambo3501> 2:4.99.5-1.mga10
+ Revision: 2101934
- version 4.99.5
- delete Patch0012 applied upstream

* Sun May 05 2024 daviddavid <daviddavid> 2:4.99.4-2.mga10
+ Revision: 2062249
- backport upstream patch to fix CVE-2024-2397

* Mon Apr 10 2023 luigiwalser <luigiwalser> 2:4.99.4-1.mga9
+ Revision: 1952398
- 4.99.4

* Tue Jan 17 2023 luigiwalser <luigiwalser> 2:4.99.3-1.mga9
+ Revision: 1933996
- 4.99.3

* Mon Jan 02 2023 ghibo <ghibo> 2:4.99.2-1.mga9
+ Revision: 1929250
- Update to release 4.99.2

* Tue Mar 29 2022 umeabot <umeabot> 2:4.99.1-3.mga9
+ Revision: 1831238
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2:4.99.1-2.mga9
+ Revision: 1747454
- rebuild for openssl 3.0.0

* Thu Jun 10 2021 luigiwalser <luigiwalser> 2:4.99.1-1.mga9
+ Revision: 1730320
- 4.99.1

* Sat Jan 02 2021 luigiwalser <luigiwalser> 2:4.99.0-1.mga8
+ Revision: 1668096
- 4.99.0
- move tcpdump from sbin to bin
- rediff CVE-2018-19519 patch
- remove upstreamed CVE-2020-8037 patch

* Mon Nov 16 2020 ns80 <ns80> 2:4.9.3-3.mga8
+ Revision: 1646621
- add upstream patch for CVE-2020-8037 (mga#27595)

* Sun Feb 16 2020 umeabot <umeabot> 2:4.9.3-2.mga8
+ Revision: 1534283
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Oct 02 2019 daviddavid <daviddavid> 2:4.9.3-1.mga8
+ Revision: 1448897
- new version: 4.9.3

* Wed Dec 26 2018 daviddavid <daviddavid> 2:4.9.2-3.mga7
+ Revision: 1345063
- add patch to fix CVE-2018-19519 (mga#24077)

* Sun Sep 23 2018 umeabot <umeabot> 2:4.9.2-2.mga7
+ Revision: 1301341
- Mageia 7 Mass Rebuild

* Tue Sep 05 2017 luigiwalser <luigiwalser> 2:4.9.2-1.mga7
+ Revision: 1151278
- 4.9.2

* Thu Aug 03 2017 guillomovitch <guillomovitch> 2:4.9.1-2.mga7
+ Revision: 1134363
- rebuild for latest openssl

* Sat Jul 29 2017 luigiwalser <luigiwalser> 2:4.9.1-1.mga7
+ Revision: 1132600
- 4.9.1

* Thu Feb 16 2017 ns80 <ns80> 2:4.9.0-1.mga6
+ Revision: 1086458
- new version 4.9.0 that fixes several security issues (mga#20212)

* Wed Oct 26 2016 luigiwalser <luigiwalser> 2:4.8.1-1.mga6
+ Revision: 1063582
- 4.8.1

* Wed Aug 10 2016 luigiwalser <luigiwalser> 2:4.8.0-1.mga6
+ Revision: 1045381
- 4.8.0

* Fri Feb 12 2016 umeabot <umeabot> 2:4.7.4-2.mga6
+ Revision: 958985
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 cjw <cjw> 2:4.7.4-1.mga6
+ Revision: 847311
- 4.7.4

* Tue Mar 17 2015 luigiwalser <luigiwalser> 2:4.6.2-6.mga5
+ Revision: 818730
- add patches from debian to fix CVE-2015-0261 and CVE-2015-215[3-5]

* Thu Dec 04 2014 luigiwalser <luigiwalser> 2:4.6.2-5.mga5
+ Revision: 801502
- add upstream patch to fix CVE-2014-9140

* Thu Nov 27 2014 luigiwalser <luigiwalser> 2:4.6.2-4.mga5
+ Revision: 799520
- add patches from fedora to fix CVE-2014-876[7-9]

* Wed Oct 15 2014 umeabot <umeabot> 2:4.6.2-3.mga5
+ Revision: 742283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2:4.6.2-2.mga5
+ Revision: 689750
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 luigiwalser <luigiwalser> 2:4.6.2-1.mga5
+ Revision: 671597
- 4.6.2

* Sat Jul 19 2014 luigiwalser <luigiwalser> 2:4.6.1-1.mga5
+ Revision: 653975
- 4.6.1

* Wed Feb 12 2014 sander85 <sander85> 2:4.5.1-1.mga5
+ Revision: 589873
- New version: 4.5.1

* Sat Oct 19 2013 umeabot <umeabot> 2:4.4.0-2.mga4
+ Revision: 528588
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 fwang <fwang> 2:4.4.0-1.mga4
+ Revision: 446134
- new version 4.4.0

* Mon Jan 14 2013 umeabot <umeabot> 2:4.3.0-2.mga3
+ Revision: 384173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Aug 09 2012 luigiwalser <luigiwalser> 2:4.3.0-1.mga3
+ Revision: 280173
- 4.3.0

* Sat Jan 28 2012 tv <tv> 2:4.2.1-1.mga2
+ Revision: 202465
- drop patch 0 (merged)
- new release

* Mon Nov 28 2011 guillomovitch <guillomovitch> 2:4.2.0-1.mga2
+ Revision: 173744
- add missing header
+ fwang <fwang>
- new version 4.2.0

* Tue Feb 22 2011 dmorgan <dmorgan> 2:4.1.1-2.mga1
+ Revision: 56593
- imported package tcpdump


* Tue Aug 10 2010 Michael Scherer <misc@mandriva.org> 2:4.1.1-2mdv2011.0
+ Revision: 568526
- do not bundle the main binary twice

* Thu Apr 29 2010 Funda Wang <fwang@mandriva.org> 2:4.1.1-1mdv2010.1
+ Revision: 540916
- New version 4.1.1

* Mon Apr 05 2010 Emmanuel Andry <eandry@mandriva.org> 2:4.1.0-1mdv2010.1
+ Revision: 531803
- New version 4.1.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 2:4.0.0-4mdv2010.1
+ Revision: 511645
- rebuilt against openssl-0.9.8m

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 2:4.0.0-3mdv2010.0
+ Revision: 427287
- rebuild

* Mon Dec 22 2008 Oden Eriksson <oeriksson@mandriva.com> 2:4.0.0-2mdv2009.1
+ Revision: 317661
- rebuild

* Wed Oct 29 2008 Oden Eriksson <oeriksson@mandriva.com> 2:4.0.0-1mdv2009.1
+ Revision: 298217
- 4.0.0
- enable crypto support (broken autopoo)

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2:3.9.8-3mdv2009.0
+ Revision: 225646
- rebuild

* Mon Feb 04 2008 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.8-2mdv2008.1
+ Revision: 162289
- fix deps (libsmi-devel)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.8-1mdv2008.1
+ Revision: 102100
- 3.9.8

* Wed Sep 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2:3.9.7-2mdv2008.0
+ Revision: 90300
- rebuild

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.7-1mdv2008.0
+ Revision: 55565
- 3.9.7
- drop the upstream CVE-2007-3798 path

* Wed Jul 25 2007 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.5-3mdv2008.0
+ Revision: 55557
- plug CVE-2007-3798

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2:3.9.5-2mdv2008.0
+ Revision: 43310
- using new serverbuild macro (-fstack-protector)


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.9.5-1mdv2007.0
+ Revision: 86303
- Import tcpdump

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 3.9.5-1mdv2007.1
- 3.9.5
- fix deps

* Thu Dec 22 2005 Oden Eriksson <oeriksson@mandriva.com> 3.9.4-1mdk
- 3.9.4

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 3.9.3-2mdk
- rebuilt against openssl-0.9.8a

* Sat Aug 13 2005 Warly <warly@mandriva.com> 2:3.9.3-1mdk
- new version

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 2:3.9.1-1mdk
- 3.9.1
- drop redundant patch

* Wed Jun 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.8.3-2mdk
- fix gcc-3.4 build (P1 from fedora)

* Fri Apr 16 2004 Michael Scherer <mscherer@mandrakesoft.com> 3.8.3-1mdk
- New release 3.8.3

* Tue Jan 27 2004 Warly <warly@mandrakesoft.com> 2:3.8.1-1mdk
- new version

